Subject: Re: [PATCH] Stop pmac_zilog from abusing 8250's device numbers.

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 04 Apr 2007 09:09:26 -0700

Geert Uytterhoeven wrote:
> 
> Oh, and I always thought PTYs were moved to free up more minors for our
> zillions of serial ports...
> 

No, PTYs were moved because 64 ptys were woefully inadequate.  256 ptys 
were enough of a shortage for many users.

The use of 16-bit Minix device numbers was a major headache in Linux for 
many, many years.  We didn't get past that one until the 2.6 kernel series.

	-hpa